# Matrix-nio Examples

You can find the examples documented on the `matrix-nio` documentation
page: https://matrix-nio.readthedocs.io/en/latest/examples.html

It is recommended that you work through the examples *in a specific order*:
1. [`basic_client.py`](basic_client.py):
   first introduction to matrix-nio, Hello World example
2. [`restore_login.py`](restore_login.py):
   store credentials and send text message
3. [`send_image.py`](send_image.py):
   send an image
4. [`manual_encrypted_verify.py`](manual_encrypted_verify.py):
   trust devices and users, verify manually
5. [`verify_with_emoji.py`](verify_with_emoji.py):
   verify interactively with emojis

Download the examples today and start playing with them in only a couple of minutes!
Enjoy! Find more in the [matrix-nio documentaion](
https://matrix-nio.readthedocs.io/en/latest/index.html).

If you desire more sample code and want to do additional reading and exploration
have a 
look at this external repo (not maintained by us) called
[matrix-commander](<https://github.com/8go/matrix-commander>).
It showcases various types of sending, receiving and verification.  

And last but not least, you should definitely check out all 
the other projects built with `matrix-nio`. To do so, explore our 
[built-with-marix-nio list](
<https://github.com/poljar/matrix-nio/blob/master/doc/built-with-nio.rst>).
